API ReferenceCompanies
Create a company
Creates a company. Requires the `companies:write` scope (`contacts:write` is also accepted for keys issued before it existed).
Authorization
bearerAuth AuthorizationBearer <token>
Workspace API key, e.g. rl_live_….
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
website?string|null
industry?string|null
notes?string|null
externalId?string|null
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/public/companies" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "website": "string", "industry": "string", "notes": "string", "externalId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}